Main Page Modules Data Structures File List Data Fields Globals Related Pages

# tableType_s Struct Reference

## Data Fields
const char *const | key
const int | hasCanon
const int | hasTranslate
machEquivTable_s | equiv
machCache_s | cache
defaultEntry | defaults
canonEntry | canons
int | defaultsLength
int | canonsLength

## Field Documentation

struct machCache_s tableType_s::cache

| Definition at line 100 of file rpmrc.c. Referenced by rpmFreeRpmrc.

canonEntry tableType_s::canons

| Definition at line 102 of file rpmrc.c. Referenced by rpmFreeRpmrc.

int tableType_s::canonsLength

| Definition at line 104 of file rpmrc.c. Referenced by rpmFreeRpmrc.

defaultEntry tableType_s::defaults

| Definition at line 101 of file rpmrc.c. Referenced by rpmFreeRpmrc.

int tableType_s::defaultsLength

| Definition at line 103 of file rpmrc.c. Referenced by rpmFreeRpmrc.

struct machEquivTable_s tableType_s::equiv

| Definition at line 99 of file rpmrc.c. Referenced by rpmFreeRpmrc.

const int tableType_s::hasCanon

| Definition at line 97 of file rpmrc.c. Referenced by doReadRC.

const int tableType_s::hasTranslate

| Definition at line 98 of file rpmrc.c. Referenced by doReadRC.

const char* const tableType_s::key

| Definition at line 96 of file rpmrc.c.

The documentation for this struct was generated from the following file:

- lib/rpmrc.c